package defi

import (
	"context"

	"github.com/gogf/gf/v2/frame/g"

	v1 "birdcall/api/defi/v1"
	"birdcall/internal/service"
)

func (c *ControllerV1) Support(ctx context.Context, req *v1.SupportReq) (res *v1.CommonRes, err error) {
	result, err := service.Defi().Support(ctx, req)
	if err != nil {
		g.Log().Error(ctx, err.Error())
		return nil, err
	}
	return result, nil
}
