package defi

import (
	"context"

	v1 "birdcall/api/defi/v1"
)

type IDefiV1 interface {
	Support(ctx context.Context, req *v1.SupportReq) (res *v1.CommonRes, err error)
	Price(ctx context.Context, req *v1.PriceReq) (res *v1.CommonRes, err error)
}
